﻿.play-video {
    cursor: pointer;
    font-size: 1rem;
}


.icon-close, .icon-close:before {
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    display: inline-block;
}

.icon-close {
    font-size: 0;
    -webkit-transition: all 0.3s 0s ease;
    -moz-transition: all 0.3s 0s ease;
    -o-transition: all 0.3s 0s ease;
    transition: all 0.3s 0s ease;
    background-color: white;
}

    .icon-close:before, .icon-close-white:before {
        content: '';
        background-repeat: no-repeat;
        background-position: 50%;
        height: 45px;
        width: 45px;
        display: inline-block;
    }

.icon-close-white:before {
    background-image: url('/assets/icons/icon-close-white.svg');
}

.icon-close:before {
    background-image: url('icons/icon-close.svg');
}

.close:hover .icon-close {
    background: #ddd;
}

.modal_video .close {
    position: absolute;
    top: -3rem;
    right: -3rem;
    z-index: 1;
}

.btn-video {
    cursor: pointer;
    background-image: url("/assets/icons/icon-play-black.svg");
    background-repeat: no-repeat;
    background-size: contain;
    height: 35px;
    width: 35px;
    min-width: 35px;
    display: inline-block;
    -webkit-transition: background-image .4s ease-in-out;
    -o-transition: background-image .4s ease-in-out;
    transition: background-image .4s ease-in-out;
}

@media (min-width: 992px) {
    .btn-video {
        height: 45px;
        width: 45px;
        min-width: 45px;
    }

        .btn-video:hover {
            background-image: url("/assets/icons/icon-play-line.svg");
        }
}

/*----- BACKGROUND MODAL VIDEO -----*/
/*modal video*/
.modal-open-video {
    overflow: hidden;
}

.modal-video {
    position: fixed;
    top: -100%;
    left: 0;
    z-index: 1051;
    /*display: none;*/
    width: 100%;
    height: 100%;
    overflow: hidden;
    outline: 0;
    opacity: 0;
    -webkit-transition: top .6s ease-in-out,opacity .6s ease-in-out;
    -o-transition: top .6s ease-in-out,opacity .6s ease-in-out;
    transition: top .6s ease-in-out,opacity .6s ease-in-out;
}

    .modal-video.show {
        top: 0;
        opacity: 1;
    }

    .modal-video .box-video {
        max-width: 1300px;
        min-height: calc(100% - 3.5rem);
        margin: 3rem auto;
        padding: 0 5rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        position: relative;
    }

.modal-backdrop-video {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    width: 100vw;
    height: 100vh;
    opacity: 0;
    -webkit-transition: opacity .3s ease;
    -o-transition: opacity .3s ease;
    transition: opacity .3s ease;
}

.backdrop.modal-backdrop-video {
    opacity: 0.8;
    background: #000;
    -webkit-transition: opacity .3s ease-out,background .3s ease-out;
    -o-transition: opacity .3s ease-out,background .3s ease-out;
    transition: opacity .3s ease-out,background .3s ease-out;
}

.close-video {
    position: absolute;
    top: -3.8rem;
    right: -4rem;
}

.img-modal-mobil {
    display: none;
}

@media (max-width: 1499.98px) {
    .modal-video .box-video {
        padding: 0 16rem;
        margin: 1rem auto;
    }
}

@media (max-width: 767.98px) {
    .modal-video .box-video {
        padding: 0 1rem;
    }

    .close-video {
        left: 50%;
        -moz-transform: translateX(-50%);
        -webkit-transform: translateX(-50%);
        -o-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
        transform: translateX(-50%);
        opacity: 0.9;
    }
}
